import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import Page from '@/layouts/index';
import Head from "./components/Head";
import Form from "./components/Form";
import Bottom from "./components/Bottom";
import './index.less'

export default (props) => {

  React.useMemo(() => {  
    Taro.hideTabBar();
  }, []);

  const onSuccess = () => {
    Taro.navigateBack({
      delta: 1,
      fail: () => {
        Taro.reLaunch({
          url: '/pages/home/index'
        })
      }
    });
  }

  return (
    <Page className="index">
      <View className="login-box">
        <Head />
        <Form onSuccess={onSuccess} />
        <Bottom />
      </View>
    </Page>
  )
}
