import Taro from '@tarojs/taro';

export default (scope) => {
  return new Promise((resolve, reject) => {
    Taro.getSetting({
      success(res) {
        if (!res.authSetting[scope]) {
          Taro.authorize({
            scope,
            success: resolve,
            fail: (err) => {
              console.error(err);
              reject(err);
            },
          })
        } else {
          resolve();
        }
      },
      fail(err) {
        console.error(err);
        reject(err);
      }
    });
  });
}
